weiqi7777

centos6.5升级bugzilla版本至5.0.6版本

0
阅读(298) 评论(1)

    之前,介绍了如何在centos6.5中,安装bugzilla。当时安装的bugzilla版本是4.4.13。版本相对比较老了。

    现在bugzilla,都已经升级到5版本,稳定的版本是5.0.6。但是该版本的bugzilla,要求mysql的版本,至少是2.6版本以上。稳妥一点,直接安装2.7版本的mysql。这个mysql的版本的问题,也是查找了很多网上资料,才发现的。

    新版的bugzilla用的mysql的engine是InnoDB,而不是MyISAM,因此就需要mysql支持支持将MyISAM转换成InnoDB,而这个feature,只有5.6.4版本以上才支持。

    下文是讲述,如何将myisam,转换为innoDB。

https://kinsta.com/knowledgebase/convert-myisam-to-innodb/

一、升级mysql版本到2.7

备份mysql的数据库,以下命令只备份了 bugs 数据库,如果有其他数据库,请依次备份:

mysqldump -u root -p bugs > ./bugs.sql

卸载 mysql, yum remove mysql mysql-*

查看是否卸载完毕

yum list installed | grep mysql

    mysql,官网上下载mysql的安装包:

https://dev.mysql.com/downloads/mysql/5.7.html#downloads

    下面系统选择如下:

    下载如下一些包:

    下载完毕后,拷贝到centos中,执行如下命令安装mysql

yum localinstall mysql-community-common-5.7.26-1.el6.x86_64.rpm

yum localinstall mysql-community-libs-compat-5.7.26-1.el6.x86_64.rpm

yum localinstall mysql-community-libs-5.7.26-1.el6.x86_64

yum localinstall mysql-community-client-5.7.26-1.el6.x86_64

yum localinstall mysql-community-server-5.7.26-1.el6.x86_64.rpm

 

这样就安装好了 mysql

删除 /var/lib/mysql,删除这一步,请务必先将原来数据库中的数据均进行了备份。

启动mysql service mysqld start

    新版的mysql,会将root的密码,保存到 /var/log/mysql.log文件中。

    此时mysql的版本为:

二、重新建立 bugs 数据库

    利用新的mysql版本,重新建立bugs数据库,以及建立bugzilla账号,并授予该账号,对于bugs数据库拥有全部权限。

    使用mysql命令,还原数据库。

三、Bugzilla升级

首先升级DBD-mysql 插件,执行如下命令:

yum install perl-DBD-mysql    

    进入到 /var/www/html目录下,将原来的bugzilla目录备份

        mv bugzilla bugzilla.bak

将 Bugzilla5.0.6拷贝到该目下,然后进入到该目录执行:

        ./checksetup.pl

    如果提示要安装插件,那么根据提示的命令,安装插件即可。

    之后的操作,参照前一篇博文:http://www.lujun.org.cn/?p=4434,进行设置即可。

    这样,就完成了bugzilla的升级。

四、总结:

    Bugzilla的安装比较简单,但是要注意bugzilla对mysql版本有要求。对于bugzilla5版本,请使用mysql5.7版本,这样在安装的过程中,就可以成功。

  1. 感谢分享~~~